Subject: Re: bug#25706: 26.0.50; Slow C file fontification

From: Ravine Var <[email-masked]>
Date: Wed, 09 Dec 2020 13:01:31 +0530

Alan Mackenzie <[email-masked]> writes:
> Anyhow, please try out the (?)final version of my patch before I commit
> it and close the bug.  It should apply cleanly to the master branch.  I
> might well split it into three changes, two small, one large, since
> there are, in a sense three distinct fixes there.

I tested this patch, along with Mattias' patch posted earlier, on two
machines.

On a reasonably fast machine (AMD Ryzen 3 3200G with 16 GB RAM), there
is a marked improvement in visiting and scrolling the header files
in the linux kernel tree. The complete lockups that happened earlier
did not happen.

I also tested the patches on a Chromebook (Intel Celeron N2840 with 4GB
RAM), which is similar to the machine in the original report.
Unfortunately, the behavior was still bad, with lockups and freezing.
I tried both c-mode and c++-mode with font-lock-maximum-decoration set
to 2.